zenilib: FT_WinFNT_HeaderRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_WinFNT_HeaderRec_ Struct Reference

`#include <ftwinfnt.h>`

## Public Attributes

FT_UShort | A_space
FT_UShort | ascent
FT_UShort | avg_width
FT_UShort | B_space
FT_ULong | bits_offset
FT_ULong | bits_pointer
FT_Byte | break_char
FT_UShort | bytes_per_row
FT_UShort | C_space
FT_Byte | charset
FT_UShort | color_table_offset
FT_Byte | copyright [60]
FT_Byte | default_char
FT_ULong | device_offset
FT_UShort | external_leading
FT_ULong | face_name_offset
FT_ULong | file_size
FT_UShort | file_type
FT_Byte | first_char
FT_ULong | flags
FT_UShort | horizontal_resolution
FT_UShort | internal_leading
FT_Byte | italic
FT_Byte | last_char
FT_UShort | max_width
FT_UShort | nominal_point_size
FT_Byte | pitch_and_family
FT_UShort | pixel_height
FT_UShort | pixel_width
FT_Byte | reserved
FT_ULong | reserved1 [4]
FT_Byte | strike_out
FT_Byte | underline
FT_UShort | version
FT_UShort | vertical_resolution
FT_UShort | weight

## Detailed Description

Definition at line 183 of file ftwinfnt.h.

## Member Data Documentation

FT_UShort FT_WinFNT_HeaderRec_::A_space

Definition at line 216 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_UShort FT_WinFNT_HeaderRec_::ascent

Definition at line 192 of file ftwinfnt.h.

Referenced by FNT_Load_Glyph().

FT_UShort FT_WinFNT_HeaderRec_::avg_width

Definition at line 203 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::B_space

Definition at line 217 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_ULong FT_WinFNT_HeaderRec_::bits_offset

Definition at line 213 of file ftwinfnt.h.

FT_ULong FT_WinFNT_HeaderRec_::bits_pointer

Definition at line 212 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::break_char

Definition at line 208 of file ftwinfnt.h.

FT_UShort FT_WinFNT_HeaderRec_::bytes_per_row

Definition at line 209 of file ftwinfnt.h.

FT_UShort FT_WinFNT_HeaderRec_::C_space

Definition at line 218 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_Byte FT_WinFNT_HeaderRec_::charset

Definition at line 199 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::color_table_offset

Definition at line 219 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_Byte FT_WinFNT_HeaderRec_::copyright[60]

Definition at line 187 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::default_char

Definition at line 207 of file ftwinfnt.h.

Referenced by FNT_Load_Glyph().

FT_ULong FT_WinFNT_HeaderRec_::device_offset

Definition at line 210 of file ftwinfnt.h.

FT_UShort FT_WinFNT_HeaderRec_::external_leading

Definition at line 194 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_ULong FT_WinFNT_HeaderRec_::face_name_offset

Definition at line 211 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_ULong FT_WinFNT_HeaderRec_::file_size

Definition at line 186 of file ftwinfnt.h.

Referenced by FNT_Face_Init(), fnt_font_load(), and FNT_Load_Glyph().

FT_UShort FT_WinFNT_HeaderRec_::file_type

Definition at line 188 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_Byte FT_WinFNT_HeaderRec_::first_char

Definition at line 205 of file ftwinfnt.h.

Referenced by fnt_cmap_init(), and FNT_Face_Init().

FT_ULong FT_WinFNT_HeaderRec_::flags

Definition at line 215 of file ftwinfnt.h.

Referenced by fnt_font_load().

FT_UShort FT_WinFNT_HeaderRec_::horizontal_resolution

Definition at line 191 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::internal_leading

Definition at line 193 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::italic

Definition at line 195 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_Byte FT_WinFNT_HeaderRec_::last_char

Definition at line 206 of file ftwinfnt.h.

Referenced by fnt_cmap_init(), and FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::max_width

Definition at line 204 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::nominal_point_size

Definition at line 189 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_Byte FT_WinFNT_HeaderRec_::pitch_and_family

Definition at line 202 of file ftwinfnt.h.

FT_UShort FT_WinFNT_HeaderRec_::pixel_height

Definition at line 201 of file ftwinfnt.h.

Referenced by FNT_Face_Init(), and FNT_Load_Glyph().

FT_UShort FT_WinFNT_HeaderRec_::pixel_width

Definition at line 200 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::reserved

Definition at line 214 of file ftwinfnt.h.

FT_ULong FT_WinFNT_HeaderRec_::reserved1[4]

Definition at line 220 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::strike_out

Definition at line 197 of file ftwinfnt.h.

FT_Byte FT_WinFNT_HeaderRec_::underline

Definition at line 196 of file ftwinfnt.h.

FT_UShort FT_WinFNT_HeaderRec_::version

Definition at line 185 of file ftwinfnt.h.

Referenced by fnt_font_load(), and FNT_Load_Glyph().

FT_UShort FT_WinFNT_HeaderRec_::vertical_resolution

Definition at line 190 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

FT_UShort FT_WinFNT_HeaderRec_::weight

Definition at line 198 of file ftwinfnt.h.

Referenced by FNT_Face_Init().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftwinfnt.h